> For the complete documentation index, see [llms.txt](https://docs.uibakery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uibakery.io/build-from-scratch/getting-started/create-a-filter.md).

# Create a filter

Another common scenario is creating a filter for your table for easier navigation through the records. Check out the instruction below to find out how you can do that:point\_down:

## **To add a filter:**

1. Locate the **Text input** component in the **Components** tab and drop it to the working area.
2. Give your component a meaningful name and specify any other parameters you need in the right hand panel.
3. Here, also navigate to the **Triggers** section and for the **On Change** trigger select your *loadUsers* action.
4. Next, go to this action and add a filter to return the values corresponding to the user email. \
   In our case, we configured the following filter:\
   &#x20;`email like {{ui.input.value}}`

Done! If you now start typing user email in the input form, the table will return any corresponding records that exist.

{% embed url="<https://demo.arcade.software/UBdLt1Qv5dlWxoB7mntN?embed=&embed_desktop=inline&embed_mobile=tab&show_copy_link=true>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.uibakery.io/build-from-scratch/getting-started/create-a-filter.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
